:mod:`traits.trait_handlers` Module
===================================

.. automodule:: traits.trait_handlers
    :no-members:

Classes
-------

.. autoclass:: TraitCoerceType

.. autoclass:: TraitCastType

.. autoclass:: TraitInstance

.. autoclass:: TraitFunction

.. autoclass:: TraitEnum

.. autoclass:: TraitCompound

.. autoclass:: TraitMap


Private Functions
-----------------

.. autofunction:: traits.trait_handlers._undefined_get

.. autofunction:: traits.trait_handlers._undefined_set

Deprecated Handlers
-------------------

The following :class:`~.TraitHandler` classes and instances are deprecated,
and may be removed in a future version of Traits.

.. deprecated:: 6.0.0

.. autoclass:: TraitDict

.. autoclass:: TraitList

.. autoclass:: TraitTuple

.. deprecated:: 6.1.0

.. autoclass:: TraitPrefixList

.. autoclass:: TraitPrefixMap
